%%% -------------------------------------------------------
%%% @author huangyongxing@yeah.net
%%% @doc
%%% @end
%%% -------------------------------------------------------
-ifndef(COLLECT_HRL).
-define(COLLECT_HRL, ok).

%% 采集状态类型
-define(COLLECT_START, 1).                  % 开始采集
-define(COLLECT_END,   2).                  % 结束采集
-define(COLLECT_STOP,  3).                  % 中止采集

%% 采集者扣血消息
-define(COLLECTORS_DEL_HP, collectors_del_hp).

%% 采集检测接口传参
-record(collect_args, {
        mon_id                              % 怪物唯一编号
        ,mid                                % 怪物配置中的编号
        ,option                             % 采集操作类型 COLLECT_START ...等
    }).

-endif.
